# Class Constants

java.lang.Object
org.apache.tomcat.buildutil.translate.Constants

public class Constants extends Object
Constants for the translation build utility.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`END_PACKAGE_MARKER`
Marker to indicate the end of a package.
`static final String`
`JAKARTA_EE_SUBSTRING`
Substring identifying Jakarta EE packages.
`static final String`
`JAVA_EE_SUBSTRING`
Substring identifying Java EE packages.
`static final String`
`L10N_PREFIX`
Prefix for localization string files.
`static final String`
`L10N_SUFFIX`
Suffix for localization properties files.
`static final String[]`
`SEARCH_DIRS`
Directories to search for source files.
`static final String`
`STORAGE_DIR`
Directory for storing translation settings.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### L10N_PREFIX

public static final String L10N_PREFIX
Prefix for localization string files.

See Also:
  - Constant Field Values

### L10N_SUFFIX

public static final String L10N_SUFFIX
Suffix for localization properties files.

See Also:
  - Constant Field Values

### SEARCH_DIRS

public static final String[] SEARCH_DIRS
Directories to search for source files.

### STORAGE_DIR

public static final String STORAGE_DIR
Directory for storing translation settings.

See Also:
  - Constant Field Values

### END_PACKAGE_MARKER

public static final String END_PACKAGE_MARKER
Marker to indicate the end of a package.

See Also:
  - Constant Field Values

### JAVA_EE_SUBSTRING

public static final String JAVA_EE_SUBSTRING
Substring identifying Java EE packages.

See Also:
  - Constant Field Values

### JAKARTA_EE_SUBSTRING

public static final String JAKARTA_EE_SUBSTRING
Substring identifying Jakarta EE packages.

See Also:
  - Constant Field Values